<div>
<div class=" pb-4 search-container">
  <input class="form-control search-input w-25" [(ngModel)]="userId" type="search" placeholder="Search by user id" aria-label="Search">
</div>
<main>
  <!-- Ui cards -->
  <section id="cards">
    <div class="container py-2">
      <!-- cards -->
      <div class="row">
        <div *ngFor="let user of users| async | searchUserList:userId | paginate: { id: 'server', itemsPerPage: perPage, currentPage: p, totalItems: total }" class="col-lg-4 col-md-6 mb-4 pt-5">
          <app-user-card [userData]="user"></app-user-card>
        </div>
      </div>
    </div>
    <!-- /cards -->
  </section>
  <!-- /Ui cards -->
  <div class="text-center  mt-5">
  <pagination-controls class="pagination-part" (pageChange)="getUserListPerPage($event)" id="server"></pagination-controls>
  </div>
</main>
</div>





